- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::MetaMethod Class Reference

Representation of a method in an GenericObject. More...

`#include <metamethod.hpp>`

## Public Member Functions
| MetaMethod ()
| MetaMethod (unsigned int newUid, const MetaMethod &other)
unsigned int | uid () const
const std::string & | name () const
std::string | toString () const
const Signature & | parametersSignature () const
const Signature & | returnSignature () const
std::string | description () const
MetaMethodParameterVector | parameters () const
std::string | returnDescription () const
bool | isPrivate () const
| MetaMethod (unsigned int uid, const qi::Signature &returnSignature, const std::string &name, const qi::Signature &parametersSignature, const std::string &description, const MetaMethodParameterVector &parameters, const std::string &returnDescription)

## Public Attributes
boost::shared_ptr < MetaMethodPrivate > | _p

## Detailed Description

Representation of a method in an GenericObject.

Definition at line 42 of file metamethod.hpp.

## Constructor & Destructor Documentation

qi::MetaMethod::MetaMethod | ( |  | ) |

qi::MetaMethod::MetaMethod | ( | unsigned int | newUid,
|  | const MetaMethod & | other
| ) |  |

qi::MetaMethod::MetaMethod | ( | unsigned int | uid,
|  | const qi::Signature & | returnSignature,
|  | const std::string & | name,
|  | const qi::Signature & | parametersSignature,
|  | const std::string & | description,
|  | const MetaMethodParameterVector & | parameters,
|  | const std::string & | returnDescription
| ) |  |

## Member Function Documentation

std::string qi::MetaMethod::description | ( |  | ) | const

bool qi::MetaMethod::isPrivate | ( |  | ) | const

return true if method is considered internal, and should not be listed

const std::string& qi::MetaMethod::name | ( |  | ) | const

MetaMethodParameterVector qi::MetaMethod::parameters | ( |  | ) | const

const Signature& qi::MetaMethod::parametersSignature | ( |  | ) | const

std::string qi::MetaMethod::returnDescription | ( |  | ) | const

const Signature& qi::MetaMethod::returnSignature | ( |  | ) | const

std::string qi::MetaMethod::toString | ( |  | ) | const

unsigned int qi::MetaMethod::uid | ( |  | ) | const

## Member Data Documentation

boost::shared_ptr<MetaMethodPrivate> qi::MetaMethod::_p

Definition at line 60 of file metamethod.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/metamethod.hpp